import { ExtensionEvent } from "./on";

interface Touch {
    press: ExtensionEvent;
    move: ExtensionEvent;
    release: ExtensionEvent;
    cancel: ExtensionEvent;
    over: ExtensionEvent;
    out: ExtensionEvent;
    enter: ExtensionEvent;
    leave: ExtensionEvent;
}

declare module "./_base/kernel" {
    interface Dojo {
        touch: Touch;
    }
}

declare const touch: Touch;
export = touch;